Bug 209923 - x11/workrave: Limit Python build dependency to 2.x
Summary: x11/workrave: Limit Python build dependency to 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-01 08:59 UTC by Iblis Lin
Modified: 2016-07-03 17:52 UTC (History)
2 users (show)

See Also:


Attachments
workrave patch (536 bytes, patch)
2016-06-01 08:59 UTC, Iblis Lin
no flags Details | Diff
workrave patch v2 (538 bytes, patch)
2016-06-02 17:17 UTC, Iblis Lin
vlad-fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Iblis Lin 2016-06-01 08:59:35 UTC
Created attachment 170900 [details]
workrave patch

It has python2 only build depends -- devel/py-cheetah (ref: bug#209922).
Comment 1 VK freebsd_triage 2016-06-02 00:02:12 UTC
The port has no maintainer, implicit approval. Also CC python@ .
Comment 2 Antoine Brodin freebsd_committer 2016-06-02 16:25:40 UTC
Unless it needs the python2 symlinks, this should be python:2.7 not python:2
Comment 3 VK freebsd_triage 2016-06-02 17:16:40 UTC
Comment on attachment 170900 [details]
workrave patch

Cancelling implicit approval per Antoine's suggestion for patch modifications.
Comment 4 Iblis Lin 2016-06-02 17:17:31 UTC
Created attachment 170954 [details]
workrave patch v2

Ok, got it!

The patch in py-cheetah (bug#209922) updated, also.
Comment 5 VK freebsd_triage 2016-06-02 20:02:14 UTC
Comment on attachment 170954 [details]
workrave patch v2

Implicit approval, the port has no maintainer.
Comment 6 commit-hook freebsd_committer 2016-07-03 17:51:49 UTC
A commit references this bug:

Author: pi
Date: Sun Jul  3 17:51:16 UTC 2016
New revision: 417982
URL: https://svnweb.freebsd.org/changeset/ports/417982

Log:
  x11/workrave: Limit Python build dependency to 2.7

  - because build-dep devel/py-cheetah is also limited to python2.7

  PR:		209923
  Submitted by:	Iblis Lin <iblis@hs.ntnu.edu.tw>

Changes:
  head/x11/workrave/Makefile
Comment 7 Kurt Jaeger freebsd_committer 2016-07-03 17:52:34 UTC
Committed, thanks!